Show / Hide Table of Contents

# Class PartyFinderGui

This class handles interacting with the native PartyFinder window.

##### Inheritance

System.Object
PartyFinderGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.PartyFinder

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class PartyFinderGui : IDisposable

### Methods

| Improve this Doc View Source

#### Enable()

Enables this module.

##### Declaration

    public void Enable()

### Events

| Improve this Doc View Source

#### ReceiveListing

Event fired each time the game receives an individual Party Finder listing. Cannot modify listings but can hide them.

##### Declaration

    public event PartyFinderGui.PartyFinderListingEventDelegate ReceiveListing

##### Event Type

Type | Description
--- | ---
PartyFinderGui.PartyFinderListingEventDelegate |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IDisposable.Dispose()

Dispose of managed and unmanaged resources.

##### Declaration

    void IDisposable.Dispose()

### Implements

System.IDisposable